<?php

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

if (file_exists($mosConfig_absolute_path.'/components/com_joomleague/language/'.$mosConfig_lang.'.php')) {
  include_once($mosConfig_absolute_path.'/components/com_joomleague/language/'.$mosConfig_lang.'.php');
} 
else{
  include_once($mosConfig_absolute_path.'/components/com_joomleague/language/english.php');
}

require_once 'administrator/components/com_joomleague/joomleague.class.php';

$p         = intval($params->get( 'project', 0 ));
$show      = $params->get( 'show', 0 );
$ammon     = intval($params->get( 'ammon', 0 ));
$esp       = intval($params->get( 'esp', 0 ));
$mod_itemid = intval($params->get( 'itemid', $Itemid ));

$project = new JoomLeague( $database );
$project->load($p);

$query = sprintf("SELECT p.firstname, p.lastname, r.matchcode, t.name as team, p.id, me.event_type_id as value, me.match_id as matchid
            FROM #__joomleague_match_events AS me, #__joomleague_players AS p, #__joomleague_teams AS t, #__joomleague_playertool AS pt, #__joomleague_matches AS m, #__joomleague_rounds AS r
           WHERE me.player_id = p.id AND 
                 me.player_id = pt.player_id AND 
                 me.team_id=t.id AND
                 pt.team_id = t.id AND 
                 pt.project_id = me.project_id AND
                 (me.event_type_id = %s OR me.event_type_id = %s) AND 
                 me.project_id = %s AND
                 me.match_id = m.match_id AND
                 m.round_id = r.id

        ORDER BY p.id DESC, r.matchcode ", $ammon, $esp, $project->id);

$database->setQuery($query);
?>

<?php 
  if($show == 1){?><div align="center"><h2><?php echo $project->name;?></h2></div><?php };
  
  if (! $rows = $database->loadObjectList()){
    //  echo "<pre>";
    //  echo $database->getErrorMsg();
    //  echo $database->getQuery();
    //  echo "</pre>";
    //  exit;
  }
  else {  
    ?>
    <table width="100%" align="center" border="0" cellpadding="2" cellspacing="0">
    <tr>
	  <td align="left" width="40%"><strong>Giocatore</strong></td>
	  <td align="left" width="15%"><strong>Prima</strong></td>
	  <td align="left" width="15%"><strong>Seconda</strong></td>
	  <td align="left" width="15%"><strong>Terza</strong></td>
	  <td align="left" width="15%"><strong>Squalifica</strong></td>
    </tr>

    <?php			
        $k = 1; $g = 0; $c = 0;

        foreach($rows as $row){
         if ($row->value == $ammon){
           $c = $c + 1;
           if($g != $row->id){ 
            //$k = 1 - $k; 
            $c = 1;
            $class = ($k == 0)? 'sectiontableentry1' : 'sectiontableentry2';  
    ?>
        </tr>
        <tr class="<?php print $class;?>">
         <td align="left"><?php echo sprintf("%s %s (%s)",$row->firstname, $row->lastname, $row->team);?></td> 
         <td align="left"><img src="/images/joomleague/event_icons/yellow_card.gif"/><a href="http://ventonirico.altervista.org/index.php?option=com_joomleague&func=showReport&p=1&mid=<?php echo $row->matchid;?>"><?php echo $row->matchcode;?> Giorn.</a></td>
    <?php  
           }
           else{
    ?>
         <td align="left"><img src="/images/joomleague/event_icons/yellow_card.gif"/><a href="http://ventonirico.altervista.org/index.php?option=com_joomleague&func=showReport&p=1&mid=<?php echo $row->matchid;?>"><?php echo $row->matchcode;?> Giorn.</a></td>
    <?php  
           }
           $g = $row->id;
           if($c == 3){ 
            $g = 0;
    ?>
         <td align="left"><img src="/images/joomleague/event_icons/event.gif"/><?php echo $row->matchcode+1;?> Giorn.</td>
    <?php 
           }
         }
         if ($row->value == $esp){
           if($g != $row->id){
              $c = 1; //$k = 1 - $k; 
    ?>
        </tr>
        <tr class="<?php print $class;?>">
         <td align="left"><?php echo sprintf("%s %s (%s)",$row->firstname, $row->lastname, $row->team);?></td> 
         <td align="left"><img src="/images/joomleague/event_icons/red_card.gif"/><a href="http://ventonirico.altervista.org/index.php?option=com_joomleague&func=showReport&p=1&mid=<?php echo $row->matchid;?>"><?php echo $row->matchcode;?> Giorn.</a></td>
    <?php
             while ($c < 3){
    ?><td></td><?php $c = $c + 1;
             }
    ?>
         <td align="left"><img src="/images/joomleague/event_icons/event.gif"/><?php echo $row->matchcode+1;?> Giorn.</td>
    <?php
           }
           else{
    ?>
         <td align="left"><img src="/images/joomleague/event_icons/red_card.gif"/><a href="http://ventonirico.altervista.org/index.php?option=com_joomleague&func=showReport&p=1&mid=<?php echo $row->matchid;?>"><?php echo $row->matchcode;?> Giorn.</a></td>
    <?php  
             while ($c == 1){
    ?><td></td><?php $c = $c + 1;
             }
    ?>
         <td align="left"><img src="/images/joomleague/event_icons/event.gif"/><?php echo $row->matchcode+1;?> Giorn.</td>
    <?php
         $g = 0;
           }
         }
        }
    ?>
    
    </table>
    <?php     
  }
?>

							
				
